For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Article object
          • GET/articles
          • GET/articles/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsArticles

/articles/{id}

GET
/knowledgebase/v1/articles/:id
GET
/api/knowledgebase/v1/articles/:id
$curl -G https://api.merge.dev/api/knowledgebase/v1/articles/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=permissions,attachments,author,last_edited_by,parent_article,parent_container,root_container
200Retrieved
1{
2 "id": "134e0111-0f67-44f6-98f0-597000290bb3",
3 "remote_id": "800293",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "title": "Test Article",
7 "description": "This article describes how Merge is the #1 player in the Unified API space",
8 "author": "2872ba14-4084-492b-be96-e5eee6fc33ef",
9 "last_edited_by": "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46",
10 "visibility": "INTERNAL",
11 "article_content_download_url": "https://s3.amazonaws.com/finance-department-bucket/2022/tax-certificate.pdf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIA3SGQVQG7FGA6KKA6%2F20221104%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221104T140227Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=b228dbec8c1008c80c162e1210e4503dceead1e4d4751b4d9787314fd6da4d55",
12 "checksum": "b228dbec8c1008c80c162e1210e4503dceead1e4d4751b4d9787314fd6da4d55",
13 "article_url": "myworkspace.atlassian.net/wiki/test-article",
14 "status": "DRAFT",
15 "type": "PAGE",
16 "remote_created_at": "2021-09-15T00:00:00Z",
17 "remote_updated_at": "2021-09-16T00:00:00Z",
18 "parent_article": "string",
19 "parent_container": "8e889422-e086-42dc-b99e-24d732039b0b",
20 "root_container": "d34ab990-71f8-49ba-985d-a502f0752fe1",
21 "permissions": [
22 {
23 "id": "31ce489c-asdf-68b1-754r-629f799f7123",
24 "remote_id": "102895",
25 "created_at": "2020-03-31T00:00:00Z",
26 "modified_at": "2020-06-20T00:00:00Z",
27 "user": "21ce474c-asdf-34a2-754r-629f799f7d12",
28 "group": null,
29 "type": "USER",
30 "roles": [
31 "OWNER"
32 ],
33 "remote_data": null
34 }
35 ],
36 "attachments": [
37 "640b80b-fac9-409f-aa19-1f9221aec445"
38 ],
39 "remote_was_deleted": true,
40 "field_mappings": {
41 "organization_defined_targets": {
42 "custom_key": "custom_value"
43 },
44 "linked_account_defined_targets": {
45 "custom_key": "custom_value"
46 }
47 },
48 "remote_data": [
49 {
50 "path": "/articles",
51 "data": null
52 }
53 ]
54}

Returns an Article object with the given id.

Was this page helpful?
Previous

/articles

Next

The Attachment object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
titlestring or null<=254 characters
The title of the article.
descriptionstring or null<=2000 characters
Description of the article.
authorstring or nullformat: "uuid"
The user who created the article.
last_edited_bystring or nullformat: "uuid"
The user to last update the article.
visibilityenum or null

The visibility of the article.

  • PUBLIC - PUBLIC
  • INTERNAL - INTERNAL
  • RESTRICTED - RESTRICTED
Allowed values:
article_content_download_urlstring or nullRead-only
The presigned S3 URL to fetch article content.
checksumstring or null<=254 characters
The SHA256 checksum of the article content.
article_urlstring or null<=2000 characters
The URL to the webpage of the article.
statusenum or null

The status of the article.

  • DRAFT - DRAFT
  • PUBLISHED - PUBLISHED
  • ARCHIVED - ARCHIVED
  • TRASH - TRASH
Allowed values:
typeenum or null

The type of the article.

  • PAGE - PAGE
  • BLOG_POST - BLOG_POST
  • SMART_LINK - SMART_LINK
Allowed values:
remote_created_atdatetime or null
When the third party's article was created.
remote_updated_atdatetime or null
When the third party's article was updated.
parent_articlestring or nullformat: "uuid"
The parent article an article is nested within.
parent_containerstring or nullformat: "uuid"
The parent container an article is nested within.
root_containerstring or nullformat: "uuid"

The top-level container in the hierarchy that holds this article. This will reference a container object that will typically be a SPACE or WORKSPACE type.

permissionslist of objects
attachmentslist of strings
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only